<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>DiseñoWeb</title>
</head>
<body>
    <h1>Calculadora en PHP</h1>

    <form method="POST" action="calculadora.php">
        <input type="text" name="numero1">
            <select name="opciones">
                <option value="0">sumar</option>
                <option value="1">restar</option>
                <option value="2">multiplicar</option>
                <option value="3">dividir</option>
            </select>
        <input type="text" name="numero2"><br><hr>
        <input type="submit" name="calcular" value="calcular">
    </form>
</body>
</html>

<?php
include("clases.php");
    if (isset($_REQUEST['calcular'])){
        $n1=$_REQUEST['numero1'];
        $n2=$_REQUEST['numero2'];
        $op=$_REQUEST['opciones'];
        
        switch($op){
            case 0:echo matematica::sumar($n1,$n2); break;
            case 1:echo matematica::restar($n1,$n2);break;
            case 2:echo matematica::multiplicar($n1,$n2);break;
            case 3:echo matematica::dividir($n1,$n2);break;
        }
    }
?>

